adapter – What s the name of that 6 pin fan connector?

I m having a special system fan type in my computer which is very noisy (between 60 to 75 Db with vendor provided fans). But if nothing is plugged on it the computer refuse to run.
Here a what the plug looks like on the fan

From the computer s doc (I wasn t able to find the fan specific model)

If pin 5 is linked to ground, the bmc will detect the fan as present, but this is not enough, so I tried to link pin 3 to pin 4 in order to fake rotation speed but the system still detects this as a faulting system fan and refuse to run in that case as if no fans where plugged.

What can be the proper way to fake the fan presence? Or what s the name of that type of connector so I can buy an adpter which would let me running a much more silent/acceptable fan for my neighbors?

networking – Security implications of directly connecting a Windows PC to ISP via Network Adapter with Ethernet cable bypassing the Router

When diagnosing Internet connection issues (slow speed for example), an ISP technician may ask a user to connect their ISP-provided Ethernet cable directly to a device (typically a Windows PC) to run speed tests in the browser or pings, etc. (to rule out the possibility of the Router being the culprit).

What are the likely (realistic) as well as theoretical security implications in as far as getting access to the device / retrieving information from it (accessing files, etc.) under the following assumptions:

  • This is done for a short period of time ~ 30 minutes
  • The new network is identified as Public (in Windows UI)
  • Remote assistance is enabled
  • Windows built-in firewall is OFF, but third-party application-level firewall is enabled (restricts Internet access to apps).

And does this compromise saved passwords of network-mapped drives and locations (which are normally only accessible within LAN via the Router)?

Does the Apple Thunderbolt 3 (USB-C) to Thunderbolt 2 Adapter support Mini DisplayPort?

The Apple adapter is unfortunately not compatible with DisplayPort or Mini DisplayPort monitor signals, despite the cables and ports having the same shape.

It can only be used to bridge Thunderbolt signals, not DisplayPort.

This is confirmed in the product notes:

https://www.apple.com/shop/product/MMEL2AM/A/thunderbolt-3-usb-c-to-thunderbolt-2-adapter

Note: This adapter does not support DisplayPort displays like the Apple LED Cinema Display or third-party DisplayPort and Mini DisplayPort displays. For more information, visit the Apple Support page for the Thunderbolt 3 (USB-C) to Thunderbolt 2 Adapter.

https://support.apple.com/en-us/HT207266

This adapter is not compatible with displays that use DisplayPort or Mini DisplayPort, such as the Apple LED Cinema Display. Thunderbolt and Thunderbolt 2 are not the same as Mini DisplayPort, though the ports have the same shape.

Apple does not manufacture a first-party Mini DisplayPort to USB-3 adapter.

network – How to fix weird Python and urllib3 behavior with LMP USB-C gigabit ethernet adapter (connection aborted)?

I have this adapter for my Macbook Pro from 2019.

enter image description here

I noticed something very strange that I’m debugging now since hours. I am using Ansible to create routes in Kubernetes and the following Ansible task works only if I am connected via Wifi but not when I am connect over the LMP adapter (I know, crazy, right?).

- name: "create route"
  k8s:
    api_version: v1
    kind: Route
    name: yolo
    namespace: "yolo"
    state: present
    resource_definition:
      spec:
        host: "yolo"
        path: ""
        to:
          kind: Service
          name: "yolo"
        tls:
          certificate:
            "{{ lookup('file', 'files/yolo.crt') }}"
          key:
            "{{ lookup('file', 'vaults/yolo.key') }}"
          caCertificate:
            "{{ lookup('file', 'files/yolo.pem') }}"
          insecureEdgeTerminationPolicy: Redirect
          termination: edge
    host: "yolo-master-server"
    api_key: "yolo-api-key"

With the LAN adapter I am getting the following exception from Python’s urllib3 module.

An exception occurred during task execution. To see the full traceback, use -vvv. The error was: urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))
failed: (localhost) (item=one) => changed=false
  ansible_loop_var: item
  item: one
  module_stderr: |-
    Traceback (most recent call last):
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 699, in urlopen
        httplib_response = self._make_request(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 445, in _make_request
        six.raise_from(e, None)
      File "<string>", line 3, in raise_from
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 440, in _make_request
        httplib_response = conn.getresponse()
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/http/client.py", line 1347, in getresponse
        response.begin()
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/http/client.py", line 307, in begin
        version, status, reason = self._read_status()
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/http/client.py", line 276, in _read_status
        raise RemoteDisconnected("Remote end closed connection without"
    http.client.RemoteDisconnected: Remote end closed connection without response

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "<stdin>", line 102, in <module>
      File "<stdin>", line 94, in _ansiballz_main
      File "<stdin>", line 40, in invoke_module
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/runpy.py", line 210, in run_module
        return _run_module_code(code, init_globals, run_name, mod_spec)
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/runpy.py", line 97, in _run_module_code
        _run_code(code, mod_globals, init_globals,
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/var/folders/zm/ld4b9y8n6ms5svr09mhly1sr0000gn/T/ansible_k8s_payload_7w51cfb3/ansible_k8s_payload.zip/ansible/modules/clustering/k8s/k8s.py", line 281, in <module>
      File "/var/folders/zm/ld4b9y8n6ms5svr09mhly1sr0000gn/T/ansible_k8s_payload_7w51cfb3/ansible_k8s_payload.zip/ansible/modules/clustering/k8s/k8s.py", line 277, in main
      File "/var/folders/zm/ld4b9y8n6ms5svr09mhly1sr0000gn/T/ansible_k8s_payload_7w51cfb3/ansible_k8s_payload.zip/ansible/module_utils/k8s/raw.py", line 191, in execute_module
      File "/var/folders/zm/ld4b9y8n6ms5svr09mhly1sr0000gn/T/ansible_k8s_payload_7w51cfb3/ansible_k8s_payload.zip/ansible/module_utils/k8s/raw.py", line 385, in perform_action
      File "/var/folders/zm/ld4b9y8n6ms5svr09mhly1sr0000gn/T/ansible_k8s_payload_7w51cfb3/ansible_k8s_payload.zip/ansible/module_utils/k8s/raw.py", line 410, in patch_resource
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/openshift/dynamic/client.py", line 132, in patch
        return self.request('patch', path, body=body, content_type=content_type, **kwargs)
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/openshift/dynamic/client.py", line 42, in inner
        resp = func(self, *args, **kwargs)
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/openshift/dynamic/client.py", line 235, in request
        return self.client.call_api(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/kubernetes/client/api_client.py", line 340, in call_api
        return self.__call_api(resource_path, method,
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/kubernetes/client/api_client.py", line 172, in __call_api
        response_data = self.request(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/kubernetes/client/api_client.py", line 398, in request
        return self.rest_client.PATCH(url,
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/kubernetes/client/rest.py", line 292, in PATCH
        return self.request("PATCH", url,
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/kubernetes/client/rest.py", line 165, in request
        r = self.pool_manager.request(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/request.py", line 78, in request
        return self.request_encode_body(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/request.py", line 170, in request_encode_body
        return self.urlopen(method, url, **extra_kw)
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/poolmanager.py", line 375, in urlopen
        response = conn.urlopen(method, u.request_uri, **kw)
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 755, in urlopen
        retries = retries.increment(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/util/retry.py", line 531, in increment
        raise six.reraise(type(error), error, _stacktrace)
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/packages/six.py", line 734, in reraise
        raise value.with_traceback(tb)
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 699, in urlopen
        httplib_response = self._make_request(
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 445, in _make_request
        six.raise_from(e, None)
      File "<string>", line 3, in raise_from
      File "/Users/tony/.pyenv/versions/default/lib/python3.9/site-packages/urllib3/connectionpool.py", line 440, in _make_request
        httplib_response = conn.getresponse()
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/http/client.py", line 1347, in getresponse
        response.begin()
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/http/client.py", line 307, in begin
        version, status, reason = self._read_status()
      File "/Users/tony/.pyenv/versions/3.9.1/lib/python3.9/http/client.py", line 276, in _read_status
        raise RemoteDisconnected("Remote end closed connection without"
    urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))
  module_stdout: ''
  msg: |-
    MODULE FAILURE
    See stdout/stderr for the exact error
  rc: 1

Does anyone have an idea what the reason for this could be and how to get the adapter to work correctly?

wifi – Does my wireless adapter support the packet injection if I it can send deauth packets?

So, I want to know a little bit about wifi security and I am interested on some questions. So, I want to know when somebody sends the deauth packets does it mean that the deauth packets are the packet injection proccess? Does my wireless adapter support the packet injection if I it can send deauth packets?

How to remove software/drivers related to Alfa Networks Wifi Adapter

Alfa Networks Wifi Adapter installed some software onto my Mac, and I don’t know where to look to remove it. Specifically I am trying to get rid of this in my menu bar.

enter image description here

Present Disk to Another server using Fiber HBA adapter

I have couple of HP servers.
I have HPE ML350 G8 server with 8 x 900 GB on Raid controller 1, 8x 900 GB on Raid controller 2.and Os on other disks on Raid controller 3. I have also have 2x HPE 8 GB HBA card on the server. I want to present 16 x 900 Gb disk using Fiber HBA to other servers using direct server to server connection.
I want to get rid of 3par that is too noisy.

All this is for a home lab.

lens adapter – Can I use Canon lenses on a Nikon dSLR?

Since the registration distance for the Nikon F-mount is larger than the registration distance for the Canon EF-mount, there is not a simple adapter that will work well, still allow infinity focus, and not change the focal length/maximum f-number through the use of additional optics.

The registration distance is the spacing between the camera’s film plane or sensor and the lens mounting flange. It is often referred to as the ‘flange focal distance.’ The Nikon F-mount has a registration distance of 46.5mm. The Canon EF mount has a registration distance of 44mm.

It’s fairly easy to adapt lenses designed with a longer registration distance to a camera with a shorter one. We just need to add a spacer so that the adapted lens sits at its designed distance in front of the camera’s mounting flange.

The opposite, though, would require an adapter with negative thickness that would allow the adapted lens to protrude into the throat of the camera. This is physically impossible in the case of Canon EF -mount lenses and Nikon F-mount cameras. The Canon EF-mount has a larger throat diameter than the Nikon F-mount. There’s no room to allow an adapter to attach to the front of the Nikon’s 44mm diameter mounting flange spaced 46.5mm in front of the sensor and then protrude 2.5mm into the camera to place a larger 54mm diameter mounting flange for the EF lens only 44mm in front of the sensor – the smaller Nikon flange ring is in the way. There would also likely be clearance issues with the reflex mirror for Nikon FF cameras.

The only way to adapt an EF lens to an F-mount body so that it can focus further than just a few inches to a few feet in front of the lens (depending on the particular lens) would be to use an adapter with a mild magnification lens. This is essentially a teleconverter, which comes with optical image quality penalties as well as an increased f-number at maximum aperture. Making one that is fairly affordable would result in a significant loss of image quality. To the best of my knowledge, no such adapter is currently available commercially.

Advice on how to get MacAir 2017 to recognise Gigabet ethernet adapter

I am trying to get ethernet connection woking on my macair 2017 which has the old usb ports and not the usb C’s. I have used an ethernet to usb adapter but that does not work. I read that perhaps i need to have ethernet to thunderbolt adapter. checked in amazon the only ones that shown are for the thunderbolt 3 and 4, which has the usb c ports.not sure what to do

I have the ethernet cable working fine on PC’s so i know the problem is not in the cable or adapter. I have also downloaded driver for mac

Can anyone suggest what I can do?

lens adapter – Would the Nikon TC14E II teleconverter work with a Tamron 70-200mm f/2.8?

I mostly do photography using Nikon gear. When it comes to video I use the Panasonic GH5 and adapt my Nikon lenses via adapter. The adapter does not have any electronics. So I’m stuck to manual focus (which is perfectly fine) and also I can’t change the aperture of the Tamron 70-200mm G2 since it has an electronic aperture.

When I use the Tamron 70-200 f/2.8 on this body it gives me an equivalent of an 140-400mm f/2.8 (which is awesome!). However I’m thinking whether I should get the Nikon TC14E II teleconverter for my photography stuff. I came across the question if this teleconverter would work on my Tamron 70-200mm without any controls just for the extra reach. I know that Nikon’s TCs are only made for a couple of Nikon lenses and they might not work with the Tamron lens on my Nikon body – but would they work on the GH5?

Remember, I don’t need any autofocus, vibration reduction or aperture control to work since the camera can’t communicate to the lens anyway. I just would need to this a manual lens with more reach.

Would that work?